@import "./animate.css";

* {
  box-sizing: border-box !important;
}

// :root {
//   --yellow: rgb(255, 234, 0);
//   --green: rgb(139, 185, 29);
//   --red: rgb(216, 8, 20);
//   --grey: rgb(230, 229, 225);
//   --textColor: rgb(72, 71, 64);
// }
:root {
  --yellow: #fffb64; //rgb(255, 234, 0);
  --green: #bfe84f; //rgb(139, 185, 29);
  --red: #cc3b42; //rgb(216, 8, 20);
  --grey: rgb(230, 229, 225);
  --textColor: rgb(72, 71, 64);
}
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}

html,
body {
  height: 100% !important;
  color: var(--textColor);
}

html {
  font-family: "Roboto", sans-serif;
  font-size: 62.5%;
}
input,
button,
submit {
  border: none;
  font: inherit;
  font-size: 20px;
  font-weight: bold;
  border-radius: 10px;
}

// Router/Transitions specifics
#root {
  min-height: 100vh;
}
.mainWrapper {
  position: absolute;
  min-width: 100vw;
  min-height: 100vh;
  max-width: 100vw;
  background: #fafafa; /* fallback for old browsers */
}
.pageSliderLeft-enter {
  transform: translate3d(100%, 0, 0);
}
.pageSliderLeft-enter.pageSliderLeft-enter-active {
  transform: translate3d(0, 0, 0);
  transition: all 600ms;
}
.pageSliderLeft-exit {
  transform: translate3d(0, 0, 0);
}
.pageSliderLeft-exit.pageSliderLeft-exit-active {
  transform: translate3d(-100%, 0, 0);
  transition: all 600ms;
}
.pageSliderRight-enter {
  transform: translate3d(-100%, 0, 0);
}
.pageSliderRight-enter.pageSliderRight-enter-active {
  transform: translate3d(0, 0, 0);
  transition: all 600ms;
}
.pageSliderRight-exit {
  transform: translate3d(0, 0, 0);
}
.pageSliderRight-exit.pageSliderRight-exit-active {
  transform: translate3d(100%, 0, 0);
  transition: all 600ms;
}
.row {
  display: flex;
  flex-direction: row;
}
.column {
  display: flex;
  flex-direction: column;
}
.centered {
  margin: auto;
}
.justified {
  justify-content: center;
}
.aligned {
  align-items: center;
}
button {
  padding: 24px 0 24px 0;
  box-shadow: 0 0 0 rgba(139, 185, 29, 0.5);
  border: 1px solid rgba(0, 0, 0, 0.5);
  border-radius: 5px;
  color: rgba(0, 0, 0, 0.5);
}
.button-validate {
  background-color: var(--green);
  animation: pulse 1s infinite;
}
.button-waiting {
  background-color: var(--grey);
}
.button-abort {
  background-color: var(--red);
  color: rgba(0, 0, 0, 0.5);
}
.arrow-back {
  position: absolute;
  left: 24px;
  top: 24px;
}
.Select {
  min-width: 95vw;
}
.exitDown {
  animation: fadeOutDown 0.6s;
}
.exitUp {
  animation: fadeOutUp 0.6s;
}
.enterDown {
  animation: fadeInDown 0.6s;
}
.enterUp {
  animation: fadeInUp 0.6s;
}
.arriveSlide {
  animation: slideInRight 0.6s;
}
.hidden {
  display: none;
}
.new-visit-container {
  min-height: -webkit-fill-available;
  .last-item {
    display: flex;
    min-width: 95vw;
    flex: 10;
    align-items: flex-end;
    margin-bottom: 2.5vw;
    button {
      position: relative;
      min-width: 100%;
      max-height: fit-content;
    }
  }
  .header-container {
    min-width: 100vw;
    padding-top: 2em;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    img {
      max-width: 25vw;
      max-height: 25vw;
    }
    .header-title {
      font-size: 16px;
      background-color: var(--grey);
      color: rgba(0, 0, 0, 0.5);
    }
  }
  .info-container {
  }
  .label-legend {
    font-weight: bold;
    font-size: 16px;
    padding: 1em 0 1em 0.5em;
    min-width: 100vw;
  }
  .photo-container {
    position: relative;
    background-color: rgba(0, 0, 0, 0.1);
    min-height: 30vh;
    max-height: 30vh;
    min-width: 95vw;
    max-width: 95vw;
    color: #f6f6f6;
    border-radius: 10px;

    // -moz-box-shadow: inset 0 0 10px #000000;
    // -webkit-box-shadow: inset 0 0 10px #000000;
    // box-shadow: inset 0 0 10px #000000;
    span {
      text-transform: uppercase;
      font-weight: bold;
      font-size: 15px;
      margin-top: 1em;
    }
  }
  .info-container {
  }
  .button-container {
    :first-child {
    }
    :nth-child(2) {
    }
  }
}
.button-add {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  bottom: -32px;
  right: 48px;
  height: 64px;
  width: 64px;
  border-radius: 50%;
  background-color: var(--green);
  color: rgba(0, 0, 0, 0.5);
  -webkit-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.75);
}
.mini-button-add {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  bottom: -24px;
  right: 16px;
  height: 48px;
  width: 48px;
  border-radius: 50%;
  background-color: var(--green);
  color: rgba(0, 0, 0, 0.5);
  svg {
    font-size: 16px;
  }
  -webkit-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.75);
  box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.75);
}
.icon-label {
  margin-right: 0.5em;
}
.Select.is-focused:not(.is-open) > .Select-control {
  border-color: var(--green);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075),
    0 0 0 3px rgba(0, 126, 255, 0.1);
  background: #fff;
}
* {
  -webkit-appearance: none;
}
section {
  font-size: 125% !important;
}
select {
  min-width: 95vw;
  padding: 1em;
  min-height: 44px;
  border-radius: 10px;
}
select:focus {
  border: 2px solid var(--green);
  box-shadow: none;
  outline: none;
}
select + .rotatingIcon {
  transition: transform 300ms;
  z-index: 0;
  position: absolute;
  pointer-events: none;
  top: 12px;
  right: 3vw;
}
.is-open {
  .rotatingIcon {
    transform: rotateZ(180deg);
  }
}
.select-container {
  position: relative;
}
